Changeset 550


Ignore:
Timestamp:
May 24, 2007 3:56:29 PM (12 years ago)
Author:
pbonami
Message:

Create release 0.1.3 from revision 549
(ThirdParty update release)

Location:
releases/0.1.3
Files:
3 edited
1 copied

Legend:

Unmodified
Added
Removed
  • releases/0.1.3

    • Property svn:externals
      •  

        old new  
        1 BuildTools    https://projects.coin-or.org/svn/BuildTools/releases/0.5.5
        2 ThirdParty/Blas https://projects.coin-or.org/svn/BuildTools/ThirdParty/Blas/releases/1.0.3
        3 ThirdParty/Lapack https://projects.coin-or.org/svn/BuildTools/ThirdParty/Lapack/releases/1.0.4
        4 ThirdParty/HSL https://projects.coin-or.org/svn/BuildTools/ThirdParty/HSL/releases/1.0.3
        5 ThirdParty/ASL https://projects.coin-or.org/svn/BuildTools/ThirdParty/ASL/releases/1.0.3
         1BuildTools    https://projects.coin-or.org/svn/BuildTools/releases/0.5.7
         2ThirdParty/Blas https://projects.coin-or.org/svn/BuildTools/ThirdParty/Blas/releases/1.0.5
         3ThirdParty/Lapack https://projects.coin-or.org/svn/BuildTools/ThirdParty/Lapack/releases/1.0.6
         4ThirdParty/HSL https://projects.coin-or.org/svn/BuildTools/ThirdParty/HSL/releases/1.0.5
         5ThirdParty/ASL https://projects.coin-or.org/svn/BuildTools/ThirdParty/ASL/releases/1.0.4
        66Data/Netlib   https://projects.coin-or.org/svn/Data/releases/1.0.1/Netlib
        77Data/Sample   https://projects.coin-or.org/svn/Data/releases/1.0.1/Sample
        88Data/miplib3  https://projects.coin-or.org/svn/Data/releases/1.0.1/miplib3
        9 CoinUtils     https://projects.coin-or.org/svn/CoinUtils/releases/1.0.5/CoinUtils
         9CoinUtils     https://projects.coin-or.org/svn/CoinUtils/releases/1.1.0/CoinUtils
        1010Cbc           https://projects.coin-or.org/svn/Cbc/releases/1.1.0/Cbc
        1111Cgl           https://projects.coin-or.org/svn/Cgl/releases/0.5.1/Cgl
        1212Clp           https://projects.coin-or.org/svn/Clp/releases/1.3.3/Clp
        13 Ipopt         https://projects.coin-or.org/svn/Ipopt/releases/3.2.3/Ipopt
         13Ipopt         https://projects.coin-or.org/svn/Ipopt/releases/3.2.4/Ipopt
        1414Osi           https://projects.coin-or.org/svn/Osi/releases/0.95.3/Osi
        1515
  • releases/0.1.3/Bonmin/configure

    r362 r550  
    50545054
    50555055
    5056 unset ac_cv_file__________libtool
    5057 unset ac_cv_file_______libtool
    5058 unset ac_cv_file____libtool
    5059 
    50605056LIBTOOL=
    5061 echo "$as_me:$LINENO: checking for ../libtool" >&5
    5062 echo $ECHO_N "checking for ../libtool... $ECHO_C" >&6
    5063 if test "${ac_cv_file____libtool+set}" = set; then
    5064   echo $ECHO_N "(cached) $ECHO_C" >&6
    5065 else
    5066   test "$cross_compiling" = yes &&
    5067   { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
    5068 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    5069    { (exit 1); exit 1; }; }
    5070 if test -r "../libtool"; then
    5071   ac_cv_file____libtool=yes
    5072 else
    5073   ac_cv_file____libtool=no
    5074 fi
    5075 fi
    5076 echo "$as_me:$LINENO: result: $ac_cv_file____libtool" >&5
    5077 echo "${ECHO_T}$ac_cv_file____libtool" >&6
    5078 if test $ac_cv_file____libtool = yes; then
     5057if test -r ../libtool; then
    50795058  coin_config_dir=..
    5080                LIBTOOL='$(SHELL) $(top_builddir)/../libtool'
    5081 fi
    5082 
     5059  LIBTOOL='$(SHELL) $(top_builddir)/../libtool'
     5060fi
    50835061if test "x$LIBTOOL" = x; then
    5084   echo "$as_me:$LINENO: checking for ../../libtool" >&5
    5085 echo $ECHO_N "checking for ../../libtool... $ECHO_C" >&6
    5086 if test "${ac_cv_file_______libtool+set}" = set; then
    5087   echo $ECHO_N "(cached) $ECHO_C" >&6
    5088 else
    5089   test "$cross_compiling" = yes &&
    5090   { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
    5091 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    5092    { (exit 1); exit 1; }; }
    5093 if test -r "../../libtool"; then
    5094   ac_cv_file_______libtool=yes
    5095 else
    5096   ac_cv_file_______libtool=no
    5097 fi
    5098 fi
    5099 echo "$as_me:$LINENO: result: $ac_cv_file_______libtool" >&5
    5100 echo "${ECHO_T}$ac_cv_file_______libtool" >&6
    5101 if test $ac_cv_file_______libtool = yes; then
    5102   coin_config_dir=../..
    5103                  LIBTOOL='$(SHELL) $(top_builddir)/../../libtool'
    5104 fi
    5105 
    5106 fi
    5107 # if test "x$LIBTOOL" = x; then
    5108 #   AC_CHECK_FILE([../../../libtool],
    5109 #                 [coin_config_dir=../../..
    5110 #                  LIBTOOL='$(SHELL) $(top_builddir)/../../../libtool'])
    5111 # fi
     5062  if test -r ../../libtool; then
     5063    coin_config_dir=../..
     5064    LIBTOOL='$(SHELL) $(top_builddir)/../../libtool'
     5065  fi
     5066fi
    51125067
    51135068if test "x$LIBTOOL" = x; then
     
    56625617*-*-irix6*)
    56635618  # Find out which ABI we are using.
    5664   echo '#line 5664 "configure"' > conftest.$ac_ext
     5619  echo '#line 5619 "configure"' > conftest.$ac_ext
    56655620  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    56665621  (eval $ac_compile) 2>&5
     
    67966751
    67976752# Provide some information about the compiler.
    6798 echo "$as_me:6798:" \
     6753echo "$as_me:6753:" \
    67996754     "checking for Fortran 77 compiler version" >&5
    68006755ac_compiler=`set X $ac_compile; echo $2`
     
    78637818   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    78647819   -e 's:$: $lt_compiler_flag:'`
    7865    (eval echo "\"\$as_me:7865: $lt_compile\"" >&5)
     7820   (eval echo "\"\$as_me:7820: $lt_compile\"" >&5)
    78667821   (eval "$lt_compile" 2>conftest.err)
    78677822   ac_status=$?
    78687823   cat conftest.err >&5
    7869    echo "$as_me:7869: \$? = $ac_status" >&5
     7824   echo "$as_me:7824: \$? = $ac_status" >&5
    78707825   if (exit $ac_status) && test -s "$ac_outfile"; then
    78717826     # The compiler can only warn and ignore the option if not recognized
     
    81318086   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81328087   -e 's:$: $lt_compiler_flag:'`
    8133    (eval echo "\"\$as_me:8133: $lt_compile\"" >&5)
     8088   (eval echo "\"\$as_me:8088: $lt_compile\"" >&5)
    81348089   (eval "$lt_compile" 2>conftest.err)
    81358090   ac_status=$?
    81368091   cat conftest.err >&5
    8137    echo "$as_me:8137: \$? = $ac_status" >&5
     8092   echo "$as_me:8092: \$? = $ac_status" >&5
    81388093   if (exit $ac_status) && test -s "$ac_outfile"; then
    81398094     # The compiler can only warn and ignore the option if not recognized
     
    82358190   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    82368191   -e 's:$: $lt_compiler_flag:'`
    8237    (eval echo "\"\$as_me:8237: $lt_compile\"" >&5)
     8192   (eval echo "\"\$as_me:8192: $lt_compile\"" >&5)
    82388193   (eval "$lt_compile" 2>out/conftest.err)
    82398194   ac_status=$?
    82408195   cat out/conftest.err >&5
    8241    echo "$as_me:8241: \$? = $ac_status" >&5
     8196   echo "$as_me:8196: \$? = $ac_status" >&5
    82428197   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    82438198   then
     
    1058010535  lt_status=$lt_dlunknown
    1058110536  cat > conftest.$ac_ext <<EOF
    10582 #line 10582 "configure"
     10537#line 10537 "configure"
    1058310538#include "confdefs.h"
    1058410539
     
    1068010635  lt_status=$lt_dlunknown
    1068110636  cat > conftest.$ac_ext <<EOF
    10682 #line 10682 "configure"
     10637#line 10637 "configure"
    1068310638#include "confdefs.h"
    1068410639
     
    1302412979   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1302512980   -e 's:$: $lt_compiler_flag:'`
    13026    (eval echo "\"\$as_me:13026: $lt_compile\"" >&5)
     12981   (eval echo "\"\$as_me:12981: $lt_compile\"" >&5)
    1302712982   (eval "$lt_compile" 2>conftest.err)
    1302812983   ac_status=$?
    1302912984   cat conftest.err >&5
    13030    echo "$as_me:13030: \$? = $ac_status" >&5
     12985   echo "$as_me:12985: \$? = $ac_status" >&5
    1303112986   if (exit $ac_status) && test -s "$ac_outfile"; then
    1303212987     # The compiler can only warn and ignore the option if not recognized
     
    1312813083   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1312913084   -e 's:$: $lt_compiler_flag:'`
    13130    (eval echo "\"\$as_me:13130: $lt_compile\"" >&5)
     13085   (eval echo "\"\$as_me:13085: $lt_compile\"" >&5)
    1313113086   (eval "$lt_compile" 2>out/conftest.err)
    1313213087   ac_status=$?
    1313313088   cat out/conftest.err >&5
    13134    echo "$as_me:13134: \$? = $ac_status" >&5
     13089   echo "$as_me:13089: \$? = $ac_status" >&5
    1313513090   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1313613091   then
     
    1469814653   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1469914654   -e 's:$: $lt_compiler_flag:'`
    14700    (eval echo "\"\$as_me:14700: $lt_compile\"" >&5)
     14655   (eval echo "\"\$as_me:14655: $lt_compile\"" >&5)
    1470114656   (eval "$lt_compile" 2>conftest.err)
    1470214657   ac_status=$?
    1470314658   cat conftest.err >&5
    14704    echo "$as_me:14704: \$? = $ac_status" >&5
     14659   echo "$as_me:14659: \$? = $ac_status" >&5
    1470514660   if (exit $ac_status) && test -s "$ac_outfile"; then
    1470614661     # The compiler can only warn and ignore the option if not recognized
     
    1480214757   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1480314758   -e 's:$: $lt_compiler_flag:'`
    14804    (eval echo "\"\$as_me:14804: $lt_compile\"" >&5)
     14759   (eval echo "\"\$as_me:14759: $lt_compile\"" >&5)
    1480514760   (eval "$lt_compile" 2>out/conftest.err)
    1480614761   ac_status=$?
    1480714762   cat out/conftest.err >&5
    14808    echo "$as_me:14808: \$? = $ac_status" >&5
     14763   echo "$as_me:14763: \$? = $ac_status" >&5
    1480914764   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1481014765   then
     
    1700916964   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1701016965   -e 's:$: $lt_compiler_flag:'`
    17011    (eval echo "\"\$as_me:17011: $lt_compile\"" >&5)
     16966   (eval echo "\"\$as_me:16966: $lt_compile\"" >&5)
    1701216967   (eval "$lt_compile" 2>conftest.err)
    1701316968   ac_status=$?
    1701416969   cat conftest.err >&5
    17015    echo "$as_me:17015: \$? = $ac_status" >&5
     16970   echo "$as_me:16970: \$? = $ac_status" >&5
    1701616971   if (exit $ac_status) && test -s "$ac_outfile"; then
    1701716972     # The compiler can only warn and ignore the option if not recognized
     
    1727717232   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1727817233   -e 's:$: $lt_compiler_flag:'`
    17279    (eval echo "\"\$as_me:17279: $lt_compile\"" >&5)
     17234   (eval echo "\"\$as_me:17234: $lt_compile\"" >&5)
    1728017235   (eval "$lt_compile" 2>conftest.err)
    1728117236   ac_status=$?
    1728217237   cat conftest.err >&5
    17283    echo "$as_me:17283: \$? = $ac_status" >&5
     17238   echo "$as_me:17238: \$? = $ac_status" >&5
    1728417239   if (exit $ac_status) && test -s "$ac_outfile"; then
    1728517240     # The compiler can only warn and ignore the option if not recognized
     
    1738117336   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1738217337   -e 's:$: $lt_compiler_flag:'`
    17383    (eval echo "\"\$as_me:17383: $lt_compile\"" >&5)
     17338   (eval echo "\"\$as_me:17338: $lt_compile\"" >&5)
    1738417339   (eval "$lt_compile" 2>out/conftest.err)
    1738517340   ac_status=$?
    1738617341   cat out/conftest.err >&5
    17387    echo "$as_me:17387: \$? = $ac_status" >&5
     17342   echo "$as_me:17342: \$? = $ac_status" >&5
    1738817343   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1738917344   then
     
    2009520050
    2009620051  case $build in
     20052    *x86_64-*)
     20053# Here we need to check if -m32 is specified.  If so, we need to correct sys_lib_search_path_spec
     20054      if test "$GCC" = yes && (echo $CXXFLAGS $CFLAGS $FFLAGS | $EGREP 'm32' >& /dev/null); then
     20055        { echo "$as_me:$LINENO: Applying patches to libtool for 32bit compilation" >&5
     20056echo "$as_me: Applying patches to libtool for 32bit compilation" >&6;}
     20057        sed -e 's|sys_lib_search_path_spec=".*"|sys_lib_search_path_spec="/lib /usr/lib"|' libtool > conftest.bla
     20058        mv conftest.bla libtool
     20059        chmod 755 libtool
     20060      fi
     20061      ;;
    2009720062    *-cygwin* | *-mingw*)
    2009820063    case "$CXX" in
     
    2190021865
    2190121866if test "$use_asldir" = BUILD; then
    21902   as_ac_File=`echo "ac_cv_file_$coin_aslobjdir/Makefile" | $as_tr_sh`
    21903 echo "$as_me:$LINENO: checking for $coin_aslobjdir/Makefile" >&5
    21904 echo $ECHO_N "checking for $coin_aslobjdir/Makefile... $ECHO_C" >&6
    21905 if eval "test \"\${$as_ac_File+set}\" = set"; then
    21906   echo $ECHO_N "(cached) $ECHO_C" >&6
    21907 else
    21908   test "$cross_compiling" = yes &&
    21909   { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
    21910 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    21911    { (exit 1); exit 1; }; }
    21912 if test -r "$coin_aslobjdir/Makefile"; then
    21913   eval "$as_ac_File=yes"
    21914 else
    21915   eval "$as_ac_File=no"
    21916 fi
    21917 fi
    21918 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_File'}'`" >&5
    21919 echo "${ECHO_T}`eval echo '${'$as_ac_File'}'`" >&6
    21920 if test `eval echo '${'$as_ac_File'}'` = yes; then
    21921   :
    21922 else
    21923   { { echo "$as_me:$LINENO: error: option \"BUILD\" specified for asldir, but directory is not configure (sources missing?)" >&5
     21867  if test "$PACKAGE_NAME" != ThirdPartyASL; then
     21868    # If we are configuring ThirdParty/ASL, don't check
     21869    if test -r $coin_aslobjdir/.MakeOk; then :; else
     21870      { { echo "$as_me:$LINENO: error: option \"BUILD\" specified for asldir, but directory is not configure (sources missing?)" >&5
    2192421871echo "$as_me: error: option \"BUILD\" specified for asldir, but directory is not configure (sources missing?)" >&2;}
    2192521872   { (exit 1); exit 1; }; }
    21926 fi
    21927 
     21873    fi
     21874  fi
    2192821875elif test -z "$use_asldir"; then
    2192921876 # try to find sources - if not given don't compile
    21930   as_ac_File=`echo "ac_cv_file_$coin_aslobjdir/Makefile" | $as_tr_sh`
    21931 echo "$as_me:$LINENO: checking for $coin_aslobjdir/Makefile" >&5
    21932 echo $ECHO_N "checking for $coin_aslobjdir/Makefile... $ECHO_C" >&6
    21933 if eval "test \"\${$as_ac_File+set}\" = set"; then
    21934   echo $ECHO_N "(cached) $ECHO_C" >&6
    21935 else
    21936   test "$cross_compiling" = yes &&
    21937   { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
    21938 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    21939    { (exit 1); exit 1; }; }
    21940 if test -r "$coin_aslobjdir/Makefile"; then
    21941   eval "$as_ac_File=yes"
    21942 else
    21943   eval "$as_ac_File=no"
    21944 fi
    21945 fi
    21946 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_File'}'`" >&5
    21947 echo "${ECHO_T}`eval echo '${'$as_ac_File'}'`" >&6
    21948 if test `eval echo '${'$as_ac_File'}'` = yes; then
    21949   use_asldir=BUILD
    21950 else
    21951   use_asldir=no
    21952 fi
    21953 
     21877  if test "$PACKAGE_NAME" != ThirdPartyASL; then
     21878    if test -r $coin_aslobjdir/.MakeOk; then
     21879      use_asldir=BUILD
     21880    else
     21881      use_asldir=no
     21882    fi
     21883  else
     21884    use_asldir=no
     21885  fi
    2195421886elif test "$use_asldir" != "no"; then
    2195521887  as_ac_File=`echo "ac_cv_file_$use_asldir/$ampllib" | $as_tr_sh`
     
    2226622198
    2226722199
    22268 FADDLIBS="$ADDLIBS"
    22269 if test x"$coin_need_flibs" = xyes; then
    22270   ADDLIBS="$ADDLIBS $FLIBS"
    22271 fi
    22272 
    22273 # library extension
    22274 
    22275 case "$CC" in
    22276   cl* | */cl* | CL* | */CL*)
    22277        LIBEXT=lib ;;
    22278     *) LIBEXT=a ;;
    22279 esac
    22280 
    22281 # Define VPATH_DISTCLEANFILES to be everything that needs to be
    22282 # cleaned for distclean in a vpath configuration
    22283 
    22284 VPATH_DISTCLEANFILES="$coin_vpath_link_files"
    22285 
    22286 cat >confcache <<\_ACEOF
     22200if test x$coin_skip_ac_output != xyes; then
     22201
     22202  FADDLIBS="$ADDLIBS"
     22203  if test x"$coin_need_flibs" = xyes; then
     22204    ADDLIBS="$ADDLIBS $FLIBS"
     22205  fi
     22206
     22207  # library extension
     22208
     22209  case "$CC" in
     22210    cl* | */cl* | CL* | */CL*)
     22211         LIBEXT=lib ;;
     22212      *) LIBEXT=a ;;
     22213  esac
     22214
     22215  # Define VPATH_DISTCLEANFILES to be everything that needs to be
     22216  # cleaned for distclean in a vpath configuration
     22217
     22218  VPATH_DISTCLEANFILES="$coin_vpath_link_files"
     22219
     22220  # Take out subdirectories if their configuration concluded that they
     22221  # don't need to be compiled
     22222  if test x"$coin_ac_skip_subdirs" != x; then
     22223    new_subdirs=
     22224    for i in $subdirs; do
     22225      skipme=no
     22226      for j in $coin_ac_skip_subdirs; do
     22227        if test $i = $j; then
     22228          skipme=yes;
     22229        fi
     22230      done
     22231      if test $skipme = no; then
     22232        new_subdirs="$new_subdirs $i"
     22233      fi
     22234    done
     22235    subdirs="$new_subdirs"
     22236  fi
     22237
     22238  cat >confcache <<\_ACEOF
    2228722239# This file is a shell script that caches the results of configure
    2228822240# tests run on this system so they can be shared between configure
     
    2414124093
    2414224094
    24143 if test x"$coin_vpath_link_files" = x; then : ; else
    24144   lnkcmd=
    24145   if test "$enable_doscompile" = yes; then
    24146     lnkcmd=cp
    24147   fi
    24148   case "$CC" in
    24149     cl* | */cl* | CL* | */CL*)
    24150       lnkcmd=cp ;;
    24151   esac
    24152   if test "$lnkcmd" = cp; then
    24153     { echo "$as_me:$LINENO: Copying data files for VPATH configuration" >&5
     24095  if test x"$coin_vpath_link_files" = x; then : ; else
     24096    lnkcmd=
     24097    if test "$enable_doscompile" = yes; then
     24098      lnkcmd=cp
     24099    fi
     24100    case "$CC" in
     24101      cl* | */cl* | CL* | */CL*)
     24102        lnkcmd=cp ;;
     24103    esac
     24104    if test "$lnkcmd" = cp; then
     24105      { echo "$as_me:$LINENO: Copying data files for VPATH configuration" >&5
    2415424106echo "$as_me: Copying data files for VPATH configuration" >&6;}
    24155   else
    24156     echo "$as_me:$LINENO: checking whether ln -s works" >&5
     24107    else
     24108      echo "$as_me:$LINENO: checking whether ln -s works" >&5
    2415724109echo $ECHO_N "checking whether ln -s works... $ECHO_C" >&6
    2415824110LN_S=$as_ln_s
     
    2416524117fi
    2416624118
    24167     { echo "$as_me:$LINENO: Creating VPATH links for data files" >&5
     24119      { echo "$as_me:$LINENO: Creating VPATH links for data files" >&5
    2416824120echo "$as_me: Creating VPATH links for data files" >&6;}
    24169     lnkcmd="$LN_S"
    24170   fi
    24171   for file in $coin_vpath_link_files; do
    24172     dir=`(dirname "./$file") 2>/dev/null ||
     24121      lnkcmd="$LN_S"
     24122    fi
     24123    for file in $coin_vpath_link_files; do
     24124      dir=`(dirname "./$file") 2>/dev/null ||
    2417324125$as_expr X"./$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
    2417424126         X"./$file" : 'X\(//\)[^/]' \| \
     
    2418224134          /^X\(\/\).*/{ s//\1/; q; }
    2418324135          s/.*/./; q'`
    24184     if test -d $dir; then : ; else
    24185       { if $as_mkdir_p; then
     24136      if test -d $dir; then : ; else
     24137        { if $as_mkdir_p; then
    2418624138    mkdir -p $dir
    2418724139  else
     
    2420824160   { (exit 1); exit 1; }; }; }
    2420924161
    24210     fi
    24211     rm -f $file
    24212     $lnkcmd $abs_source_dir/$file $file
    24213   done
    24214 fi
    24215 
    24216 if test x$coin_projectdir = xyes; then
    24217   { echo "$as_me:$LINENO: Configuration of $PACKAGE_NAME successful" >&5
     24162      fi
     24163      rm -f $file
     24164      $lnkcmd $abs_source_dir/$file $file
     24165    done
     24166  fi
     24167
     24168  if test x$coin_projectdir = xyes; then
     24169    { echo "$as_me:$LINENO: Configuration of $PACKAGE_NAME successful" >&5
    2421824170echo "$as_me: Configuration of $PACKAGE_NAME successful" >&6;}
    24219 else
    24220   { echo "$as_me:$LINENO: Main configuration of $PACKAGE_NAME successful" >&5
     24171  else
     24172    { echo "$as_me:$LINENO: Main configuration of $PACKAGE_NAME successful" >&5
    2422124173echo "$as_me: Main configuration of $PACKAGE_NAME successful" >&6;}
    24222 fi
    24223 
     24174  fi
     24175else
     24176  { echo "$as_me:$LINENO: No configuration of $PACKAGE_NAME necessary" >&5
     24177echo "$as_me: No configuration of $PACKAGE_NAME necessary" >&6;}
     24178fi
     24179
     24180
  • releases/0.1.3/Externals

    r446 r550  
    1 BuildTools    https://projects.coin-or.org/svn/BuildTools/releases/0.5.5
    2 ThirdParty/Blas https://projects.coin-or.org/svn/BuildTools/ThirdParty/Blas/releases/1.0.3
    3 ThirdParty/Lapack https://projects.coin-or.org/svn/BuildTools/ThirdParty/Lapack/releases/1.0.4
    4 ThirdParty/HSL https://projects.coin-or.org/svn/BuildTools/ThirdParty/HSL/releases/1.0.3
    5 ThirdParty/ASL https://projects.coin-or.org/svn/BuildTools/ThirdParty/ASL/releases/1.0.3
     1BuildTools    https://projects.coin-or.org/svn/BuildTools/releases/0.5.7
     2ThirdParty/Blas https://projects.coin-or.org/svn/BuildTools/ThirdParty/Blas/releases/1.0.5
     3ThirdParty/Lapack https://projects.coin-or.org/svn/BuildTools/ThirdParty/Lapack/releases/1.0.6
     4ThirdParty/HSL https://projects.coin-or.org/svn/BuildTools/ThirdParty/HSL/releases/1.0.5
     5ThirdParty/ASL https://projects.coin-or.org/svn/BuildTools/ThirdParty/ASL/releases/1.0.4
    66Data/Netlib   https://projects.coin-or.org/svn/Data/releases/1.0.1/Netlib
    77Data/Sample   https://projects.coin-or.org/svn/Data/releases/1.0.1/Sample
    88Data/miplib3  https://projects.coin-or.org/svn/Data/releases/1.0.1/miplib3
    9 CoinUtils     https://projects.coin-or.org/svn/CoinUtils/releases/1.0.5/CoinUtils
     9CoinUtils     https://projects.coin-or.org/svn/CoinUtils/releases/1.1.0/CoinUtils
    1010Cbc           https://projects.coin-or.org/svn/Cbc/releases/1.1.0/Cbc
    1111Cgl           https://projects.coin-or.org/svn/Cgl/releases/0.5.1/Cgl
    1212Clp           https://projects.coin-or.org/svn/Clp/releases/1.3.3/Clp
    13 Ipopt         https://projects.coin-or.org/svn/Ipopt/releases/3.2.3/Ipopt
     13Ipopt         https://projects.coin-or.org/svn/Ipopt/releases/3.2.4/Ipopt
    1414Osi           https://projects.coin-or.org/svn/Osi/releases/0.95.3/Osi
    1515
  • releases/0.1.3/configure

    r363 r550  
    27962796# Finally, we let configure write all the output...
    27972797
    2798 FADDLIBS="$ADDLIBS"
    2799 if test x"$coin_need_flibs" = xyes; then
    2800   ADDLIBS="$ADDLIBS $FLIBS"
    2801 fi
    2802 
    2803 # library extension
    2804 
    2805 case "$CC" in
    2806   cl* | */cl* | CL* | */CL*)
    2807        LIBEXT=lib ;;
    2808     *) LIBEXT=a ;;
    2809 esac
    2810 
    2811 # Define VPATH_DISTCLEANFILES to be everything that needs to be
    2812 # cleaned for distclean in a vpath configuration
    2813 
    2814 VPATH_DISTCLEANFILES="$coin_vpath_link_files"
    2815 
    2816 cat >confcache <<\_ACEOF
     2798if test x$coin_skip_ac_output != xyes; then
     2799
     2800  FADDLIBS="$ADDLIBS"
     2801  if test x"$coin_need_flibs" = xyes; then
     2802    ADDLIBS="$ADDLIBS $FLIBS"
     2803  fi
     2804
     2805  # library extension
     2806
     2807  case "$CC" in
     2808    cl* | */cl* | CL* | */CL*)
     2809         LIBEXT=lib ;;
     2810      *) LIBEXT=a ;;
     2811  esac
     2812
     2813  # Define VPATH_DISTCLEANFILES to be everything that needs to be
     2814  # cleaned for distclean in a vpath configuration
     2815
     2816  VPATH_DISTCLEANFILES="$coin_vpath_link_files"
     2817
     2818  # Take out subdirectories if their configuration concluded that they
     2819  # don't need to be compiled
     2820  if test x"$coin_ac_skip_subdirs" != x; then
     2821    new_subdirs=
     2822    for i in $subdirs; do
     2823      skipme=no
     2824      for j in $coin_ac_skip_subdirs; do
     2825        if test $i = $j; then
     2826          skipme=yes;
     2827        fi
     2828      done
     2829      if test $skipme = no; then
     2830        new_subdirs="$new_subdirs $i"
     2831      fi
     2832    done
     2833    subdirs="$new_subdirs"
     2834  fi
     2835
     2836  cat >confcache <<\_ACEOF
    28172837# This file is a shell script that caches the results of configure
    28182838# tests run on this system so they can be shared between configure
     
    39533973
    39543974
    3955 if test x"$coin_vpath_link_files" = x; then : ; else
    3956   lnkcmd=
    3957   if test "$enable_doscompile" = yes; then
    3958     lnkcmd=cp
    3959   fi
    3960   case "$CC" in
    3961     cl* | */cl* | CL* | */CL*)
    3962       lnkcmd=cp ;;
    3963   esac
    3964   if test "$lnkcmd" = cp; then
    3965     { echo "$as_me:$LINENO: Copying data files for VPATH configuration" >&5
     3975  if test x"$coin_vpath_link_files" = x; then : ; else
     3976    lnkcmd=
     3977    if test "$enable_doscompile" = yes; then
     3978      lnkcmd=cp
     3979    fi
     3980    case "$CC" in
     3981      cl* | */cl* | CL* | */CL*)
     3982        lnkcmd=cp ;;
     3983    esac
     3984    if test "$lnkcmd" = cp; then
     3985      { echo "$as_me:$LINENO: Copying data files for VPATH configuration" >&5
    39663986echo "$as_me: Copying data files for VPATH configuration" >&6;}
    3967   else
    3968     echo "$as_me:$LINENO: checking whether ln -s works" >&5
     3987    else
     3988      echo "$as_me:$LINENO: checking whether ln -s works" >&5
    39693989echo $ECHO_N "checking whether ln -s works... $ECHO_C" >&6
    39703990LN_S=$as_ln_s
     
    39773997fi
    39783998
    3979     { echo "$as_me:$LINENO: Creating VPATH links for data files" >&5
     3999      { echo "$as_me:$LINENO: Creating VPATH links for data files" >&5
    39804000echo "$as_me: Creating VPATH links for data files" >&6;}
    3981     lnkcmd="$LN_S"
    3982   fi
    3983   for file in $coin_vpath_link_files; do
    3984     dir=`(dirname "./$file") 2>/dev/null ||
     4001      lnkcmd="$LN_S"
     4002    fi
     4003    for file in $coin_vpath_link_files; do
     4004      dir=`(dirname "./$file") 2>/dev/null ||
    39854005$as_expr X"./$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
    39864006         X"./$file" : 'X\(//\)[^/]' \| \
     
    39944014          /^X\(\/\).*/{ s//\1/; q; }
    39954015          s/.*/./; q'`
    3996     if test -d $dir; then : ; else
    3997       { if $as_mkdir_p; then
     4016      if test -d $dir; then : ; else
     4017        { if $as_mkdir_p; then
    39984018    mkdir -p $dir
    39994019  else
     
    40204040   { (exit 1); exit 1; }; }; }
    40214041
    4022     fi
    4023     rm -f $file
    4024     $lnkcmd $abs_source_dir/$file $file
    4025   done
    4026 fi
    4027 
    4028 if test x$coin_projectdir = xyes; then
    4029   { echo "$as_me:$LINENO: Configuration of $PACKAGE_NAME successful" >&5
     4042      fi
     4043      rm -f $file
     4044      $lnkcmd $abs_source_dir/$file $file
     4045    done
     4046  fi
     4047
     4048  if test x$coin_projectdir = xyes; then
     4049    { echo "$as_me:$LINENO: Configuration of $PACKAGE_NAME successful" >&5
    40304050echo "$as_me: Configuration of $PACKAGE_NAME successful" >&6;}
    4031 else
    4032   { echo "$as_me:$LINENO: Main configuration of $PACKAGE_NAME successful" >&5
     4051  else
     4052    { echo "$as_me:$LINENO: Main configuration of $PACKAGE_NAME successful" >&5
    40334053echo "$as_me: Main configuration of $PACKAGE_NAME successful" >&6;}
    4034 fi
    4035 
     4054  fi
     4055else
     4056  { echo "$as_me:$LINENO: No configuration of $PACKAGE_NAME necessary" >&5
     4057echo "$as_me: No configuration of $PACKAGE_NAME necessary" >&6;}
     4058fi
     4059
     4060
Note: See TracChangeset for help on using the changeset viewer.